ascription_type.h File Reference

A class representing a type ascription. More...

`#include "cvc4_public.h"`
`#include "expr/type.h"`
Include dependency graph for ascription_type.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CVC4::AscriptionType
| A class used to parameterize a type ascription. More...
struct | CVC4::AscriptionTypeHashFunction
| A hash function for type ascription operators. More...

## Namespaces

namespace | CVC4

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, AscriptionType at)
| An output routine for AscriptionTypes.

## Detailed Description

A class representing a type ascription.

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

A class representing a parameter for the type ascription operator.

Definition in file ascription_type.h.